Index: LMDZ5/branches/testing/libf/phylmd/clesphys.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/clesphys.h	(revision 1796)
+++ LMDZ5/branches/testing/libf/phylmd/clesphys.h	(revision 1864)
@@ -61,4 +61,5 @@
        REAL pasphys
        LOGICAL ok_histNMC(3)
+       INTEGER levout_histNMC(3)
        REAL freq_outNMC(3) , freq_calNMC(3)
        CHARACTER(len=4) type_run
@@ -73,5 +74,5 @@
        REAL freq_COSP
        LOGICAL :: ok_cosp,ok_mensuelCOSP,ok_journeCOSP,ok_hfCOSP
-       INTEGER :: ip_ebil_phy, iflag_rrtm
+       INTEGER :: ip_ebil_phy, iflag_rrtm, iflag_ice_thermo
        LOGICAL :: ok_strato
        LOGICAL :: ok_hines
@@ -91,5 +92,5 @@
      &     , f_cdrag_ter,f_cdrag_oce,f_rugoro                           &
      &     , lev_histhf, lev_histday, lev_histmth                       &
-     &     , lev_histins, lev_histLES, lev_histdayNMC                   &
+     &     , lev_histins, lev_histLES, lev_histdayNMC, levout_histNMC   &
      &     , pasphys, ok_histNMC, freq_outNMC, freq_calNMC              &
      &     , type_run, ok_isccp, ok_regdyn, ok_cosp                     &
@@ -101,5 +102,5 @@
      &     , ok_lic_melt, cvl_corr, aer_type                            &
      &     , qsol0, iflag_rrtm, ok_strato,ok_hines,ecrit_LES            &
-     &     , co2_ppm0
+     &     , co2_ppm0, iflag_ice_thermo
      
        save /clesphys/
Index: LMDZ5/branches/testing/libf/phylmd/concvl.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/concvl.F	(revision 1796)
+++ LMDZ5/branches/testing/libf/phylmd/concvl.F	(revision 1864)
@@ -1,6 +1,6 @@
-      SUBROUTINE concvl (iflag_con,iflag_clos,
+      SUBROUTINE concvl (iflag_clos,
      .             dtime,paprs,pplay,
      .             t,q,t_wake,q_wake,s_wake,u,v,tra,ntra,
-     .             ALE,ALP,work1,work2,
+     .             ALE,ALP,sig1,w01,
      .             d_t,d_q,d_u,d_v,d_tra,
      .             rain, snow, kbas, ktop, sigd,
@@ -70,7 +70,9 @@
 c======================================================================
 c
+
+#include "clesphys.h"
 #include "dimensions.h"
 c
-       INTEGER iflag_con,iflag_clos
+       INTEGER iflag_clos
 c
        REAL dtime, paprs(klon,klev+1),pplay(klon,klev)
@@ -80,5 +82,5 @@
        REAL tra(klon,klev,nbtr)
        INTEGER ntra
-       REAL work1(klon,klev),work2(klon,klev),ptop2(klon)
+       REAL sig1(klon,klev),w01(klon,klev),ptop2(klon)
        REAL pmflxr(klon,klev+1),pmflxs(klon,klev+1)
        REAL ALE(klon),ALP(klon)
@@ -354,10 +356,10 @@
       if (iflag_con.eq.30) then
 
-      print *, '-> cv_driver'      !jyg
+!      print *, '-> cv_driver'      !jyg
       CALL cv_driver(klon,klev,klevp1,ntra,iflag_con,
      :              t,q,qs,u,v,tra,
      $              em_p,em_ph,iflag,
      $              d_t,d_q,d_u,d_v,d_tra,rain,
-     $              Vprecip,cbmf,work1,work2,                  !jyg
+     $              Vprecip,cbmf,sig1,w01,                  !jyg
      $              kbas,ktop,
      $              dtime,Ma,upwd,dnwd,dnwdbis,qcondc,wd,cape,
@@ -365,5 +367,5 @@
      $              evap,ep,epmlmMm,eplaMm,                    !RomP
      $              wdtrainA,wdtrainM)                         !RomP
-      print *, 'cv_driver ->'      !jyg
+!      print *, 'cv_driver ->'      !jyg
 c
       DO i = 1,klon
@@ -376,5 +378,6 @@
       nloc=klon
       CALL cva_driver(klon,klev,klev+1,ntra,nloc,
-     $              iflag_con,iflag_mix,iflag_clos,dtime,
+     $              iflag_con,iflag_mix,iflag_ice_thermo,
+     $              iflag_clos,dtime,
      :              t,q,qs,t_wake,q_wake,qs_wake,s_wake,u,v,tra,
      $              em_p,em_ph,
@@ -382,5 +385,5 @@
      .              em_sig1feed,em_sig2feed,em_wght,
      .              iflag,d_t,d_q,d_u,d_v,d_tra,rain,kbas,ktop,
-     $              cbmf,plcl,plfc,wbeff,work1,work2,ptop2,sigd,
+     $              cbmf,plcl,plfc,wbeff,sig1,w01,ptop2,sigd,
      $              Ma,mip,Vprecip,upwd,dnwd,dnwdbis,qcondc,wd,
      $              cape,cin,tvp,
Index: LMDZ5/branches/testing/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/conf_phys_m.F90	(revision 1796)
+++ LMDZ5/branches/testing/libf/phylmd/conf_phys_m.F90	(revision 1864)
@@ -141,4 +141,5 @@
   LOGICAL,SAVE :: reevap_ice_omp
   INTEGER,SAVE :: iflag_pdf_omp
+  INTEGER,SAVE :: iflag_ice_thermo_omp
   REAL,SAVE :: rad_froid_omp, rad_chau1_omp, rad_chau2_omp
   REAL,SAVE :: t_glace_min_omp, t_glace_max_omp
@@ -155,4 +156,5 @@
   Integer, save :: lev_histins_omp, lev_histLES_omp 
   INTEGER, SAVE :: lev_histdayNMC_omp
+  INTEGER, SAVE :: levout_histNMC_omp(3)
   LOGICAL, SAVE :: ok_histNMC_omp(3)
   REAL, SAVE :: freq_outNMC_omp(3), freq_calNMC_omp(3)
@@ -966,4 +968,13 @@
   call getin('t_glace_max',t_glace_max_omp)
 
+!
+!Config Key  = iflag_ice_thermo
+!Config Desc =  
+!Config Def  = 0
+!Config Help = 
+!
+  iflag_ice_thermo_omp = 0
+  call getin('iflag_ice_thermo',iflag_ice_thermo_omp)
+
 !Config Key  = rei_min
 !Config Desc =  
@@ -1267,5 +1278,5 @@
   lev_histLES_omp = 1
   call getin('lev_histLES',lev_histLES_omp)
-!
+! 
 !Config Key  = lev_histdayNMC
 !Config Desc =
@@ -1275,4 +1286,14 @@
   lev_histdayNMC_omp = 8
   call getin('lev_histdayNMC',lev_histdayNMC_omp)
+!
+!Config Key  = levout_histNMC
+!Config Desc =
+!Config Def  = 5
+!Config Help =
+!
+  levout_histNMC_omp(1) = 5
+  levout_histNMC_omp(2) = 5
+  levout_histNMC_omp(3) = 5
+  call getin('levout_histNMC',levout_histNMC_omp)
 !
 !histNMC BEG
@@ -1296,5 +1317,4 @@
 !Config Help =
 !
-! freq_outNMC_omp(1) = 2592000.
   freq_outNMC_omp(1) = mth_len*86400.
   freq_outNMC_omp(2) = 86400.
@@ -1684,4 +1704,5 @@
     t_glace_min = t_glace_min_omp
     t_glace_max = t_glace_max_omp
+    iflag_ice_thermo = iflag_ice_thermo_omp
     rei_min = rei_min_omp
     rei_max = rei_max_omp
@@ -1702,4 +1723,5 @@
     lev_histLES = lev_histLES_omp
     lev_histdayNMC = lev_histdayNMC_omp
+    levout_histNMC = levout_histNMC_omp
     ok_histNMC(:) = ok_histNMC_omp(:)
     freq_outNMC(:) = freq_outNMC_omp(:)
@@ -1900,4 +1922,5 @@
   write(lunout,*)' t_glace_min = ',t_glace_min
   write(lunout,*)' t_glace_max = ',t_glace_max
+  write(lunout,*)' iflag_ice_thermo = ',iflag_ice_thermo
   write(lunout,*)' rei_min = ',rei_min
   write(lunout,*)' rei_max = ',rei_max
@@ -1925,4 +1948,5 @@
   write(lunout,*)' lev_histLES = ',lev_histLES
   write(lunout,*)' lev_histdayNMC = ',lev_histdayNMC
+  write(lunout,*)' levout_histNMC = ',levout_histNMC
   write(lunout,*)' ok_histNMC = ',ok_histNMC
   write(lunout,*)' freq_outNMC = ',freq_outNMC
